---
title: z-index
slug: Web/CSS/z-index
tags:
  - CSS
  - CSS Positioning
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>z-index</code></strong> CSS property sets the z-order of a <a href="/en-US/docs/Web/CSS/position">positioned</a> element and its descendants or flex items. Overlapping elements with a larger z-index cover those with a smaller one.</p>

<div>{{EmbedInteractiveExample("pages/css/z-index.html")}}</div>

<p>For a positioned box (that is, one with any <code>position</code> other than <code>static</code>), the <code>z-index</code> property specifies:</p>

<ol>
 <li>The stack level of the box in the current <a href="/en-US/docs/Web/Guide/CSS/Understanding_z_index/The_stacking_context">stacking context</a>.</li>
 <li>Whether the box establishes a local stacking context.</li>
</ol>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
z-index: auto;

/* &lt;integer&gt; values */
z-index: 0;
z-index: 3;
z-index: 289;
z-index: -1; /* Negative values to lower the priority */

/* Global values */
z-index: inherit;
z-index: initial;
z-index: unset;
</pre>

<p>The <code>z-index</code> property is specified as either the keyword <code><a href="#auto">auto</a></code> or an <code><a href="#&lt;integer&gt;">&lt;integer&gt;</a></code>.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><a id="auto"><code>auto</code></a></dt>
 <dd>The box does not establish a new local stacking context. The stack level of the generated box in the current stacking context is the same as its parent's box.</dd>
 <dt><a id="&lt;integer&gt;"><code>&lt;integer&gt;</code></a></dt>
 <dd>This {{cssxref("&lt;integer&gt;")}} is the stack level of the generated box in the current stacking context. The box also establishes a local stacking context in which its stack level is <code>0</code>. This means that the z-indexes of descendants are not compared to the z-indexes of elements outside this element.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Visually_layering_elements">Visually layering elements</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="wrapper"&gt;
  &lt;div class="dashed-box"&gt;Dashed box&lt;/div&gt;
  &lt;div class="gold-box"&gt;Gold box&lt;/div&gt;
  &lt;div class="green-box"&gt;Green box&lt;/div&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css; notranslate">.wrapper {
  position: relative;
}

.dashed-box {
  position: relative;
  z-index: 1;
  border: dashed;
  height: 8em;
  margin-bottom: 1em;
  margin-top: 2em;
}
.gold-box {
  position: absolute;
  z-index: 3; /* put .gold-box above .green-box and .dashed-box */
  background: gold;
  width: 80%;
  left: 60px;
  top: 3em;
}
.green-box {
  position: absolute;
  z-index: 2; /* put .green-box above .dashed-box */
  background: lightgreen;
  width: 20%;
  left: 65%;
  top: -25px;
  height: 7em;
  opacity: 0.9;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Visually_layering_elements', '550', '200', '') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS2.1', 'visuren.html#z-index', 'z-index')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.z-index")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>CSS {{Cssxref("position")}} property</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Positioning/Understanding_z_index">Understanding CSS z-indexes</a></li>
</ul>
